LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ChangeEvent Struct Referencepublished

`import"ChangeEvent.idl";`

Inheritance diagram for ChangeEvent:

## Public Attributes
long | Action
| indicates the type of change. More...
long | Rows
| indicates the number of rows affected by the change. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

Deprecated:
  indicates the type of change action on the data source.

## Member Data Documentation

long Action

indicates the type of change.

See also
  com::sun::star::sdbc::ChangeAction

long Rows

indicates the number of rows affected by the change.

The documentation for this struct was generated from the following file:

- com/sun/star/sdbc/ChangeEvent.idl